<!DOCTYPE html>
<html lang="en">

<head>
    <title>Bootstrap 4 Blog Template For Developers</title>

    <!-- Meta -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Blog Template">
    <meta name="author" content="Xiaoying Riley at 3rd Wave Media">
    <link rel="shortcut icon" href="favicon.ico">

    <!-- FontAwesome JS-->
    <script defer src="https://use.fontawesome.com/releases/v5.7.1/js/all.js" integrity="sha384-eVEQC9zshBn0rFj4+TU78eNA19HMNigMviK/PU/FFjLXqa/GKPgX58rvt5Z8PLs7" crossorigin="anonymous"></script>

    <!-- Plugin CSS -->
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.14.2/styles/monokai-sublime.min.css">

    <!-- Theme CSS -->
    <link id="theme-style" rel="stylesheet" href="assets/css/theme-1.css">


</head>

<body>

    <header class="header text-center">
        <h1 class="blog-name pt-lg-4 mb-0"><a href="index.html">Hugo Blog</a></h1>

        <nav class="navbar navbar-expand-lg navbar-dark">

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation" aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
			</button>

            <div id="navigation" class="collapse navbar-collapse flex-column">
                <div class="profile-section pt-3 pt-lg-0">
                    <img class="profile-image mb-3 rounded-circle mx-auto" src="assets/images/hugo.fjij" alt="image">

                    <div class="bio mb-3">Hi, my name is Hugo. Passionnée de Securité informatique , je fait une blog dédié au CTF au BOX et au differents exploits...<br><a href="http://coudry-hugo.com/">Find out more about me</a></div>
                    <!--//bio-->
                    <ul class="social-list list-inline py-3 mx-auto">
                        <li class="list-inline-item"><a href="#"><i class="fab fa-twitter fa-fw"></i></a></li>
                        <li class="list-inline-item"><a href="#"><i class="fab fa-linkedin-in fa-fw"></i></a></li>
                        <li class="list-inline-item"><a href="#"><i class="fab fa-github-alt fa-fw"></i></a></li>
                        <li class="list-inline-item"><a href="#"><i class="fab fa-stack-overflow fa-fw"></i></a></li>
                        <li class="list-inline-item"><a href="#"><i class="fab fa-codepen fa-fw"></i></a></li>
                    </ul>
                    <!--//social-list-->
                    <hr>
                </div>
                <!--//profile-section-->

                <ul class="navbar-nav flex-column text-left">
                    <li class="nav-item">
                        <a class="nav-link" href="index.html"><i class="fas fa-home fa-fw mr-2"></i>Blog Home <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link" href="blog-post.html"><i class="fas fa-bookmark fa-fw mr-2"></i>Blog Post</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="http://coudry-hugo.com/"><i class="fas fa-user fa-fw mr-2"></i>About Me</a>
                    </li>
                </ul>

                <div class="my-2 my-md-3">

                    <a class="btn btn-primary" href="https://themes.3rdwavemedia.com/" target="_blank">Get in Touch</a>

                </div>
            </div>
        </nav>
    </header>

    <div class="main-wrapper">

        <article class="blog-post px-3 py-5 p-md-5">
            <div class="container">
                <header class="blog-post-header">
                    <h2 class="title mb-2">DC-2 Vulnhub</h2>
                    <div class="meta mb-3"><span class="date">Published 3 months ago</span><span class="time">10 min read</span><span class="comment"></span></div>
                </header>

                <div class="blog-post-body">
                    <figure class="blog-banner">
                        <a href="https://www.vulnhub.com/entry/dc-2,311/"><img class="img-fluid" src="assets/images/blog/DC-2.png" alt="image"></a>

                    </figure>
                    <p>Bonjour à Tous voilà le Tutorial ou cours sur la partie vulnérabilité d’un site Drupal. Nous avons téléchargé la machine DC-2 sur le site Vulnhub et nous avons mis en pratique ce que nous savons faire. <a href="https://www.vulnhub.com/entry/dc-2,311/"
                            target="_blank">ici. </a></p>


                    <h3 class="mt-5 mb-3">Security level: Beginner</h3>
                    <pre>
					    <code>
Penetrating Methodology:

-	IP Discovery using netdiscover
-	Network scanning (Nmap)
-	Surfing HTTPS service port (80)
-	Finding Wordpress CMS
-	Exploiting WPSCAN to get a reverse shell
-	Finding files with SUID bit set
-	Finding the “vi” command with SUID bit set
-	Getting root shell with “find” command
-	Getting final flag
					    </code>
				    </pre>
                    <h3 class="mt-5 mb-3">Procédure pas à pas</h3>
                    <p>Commençons par analyser le réseau pour trouver notre cible.</p>
                    <img class="img-fluid" src="assets/images/blog/DC-2.png" alt="image">
                    <p>Nous avons trouvé la cible</p>
                    <p> via la commande : netdiscover</p>
                    <img src="assets/images/blog/DC-2/1.jpg" alt="image">
                    <p>Une fois cette partie terminée nous allons passer à la partie scan ports pour connaitre Ports d’écoute de la machine et les services avec lesquels elle fonctionne.</p>
                    <p> Nous allons utilisé nmap, outils de scanne réseau , qui vas nous permettre de remonté les ports ouverts sur une machines et bien plus.</p>
                    <p>la commande a utilisé : Nmap -A -p- 192.168.x.x = selon l’adresse IP donné par votre DHCP.</p>
                    <img src="assets/images/blog/DC-2/2.PNG" alt="image">
                    <p>Apre avoirs trouvé les ports de la machine. Vous allez voir plusieurs ports ouverts, on voit que le port 80 et 443 sont ouvert on peut donc accéder à un site web. Essaye-t-on.</p>
                    <img src="assets/images/blog/DC-2/error.png" alt="image">
                    <p>une Erreur et survenu vous n'avez pas accès, On vas ajouté le Serveur Web au fichier HOST, car dans le scanne nmap on peut voir le port 80 rediriger vers //dc-2.</p>
                    <p>Comme cela:</p>
                    <img src="assets/images/blog/DC-2/host.png" alt="image">
                    <p>Une fois Chose faite la page S'affichera correctement.</p>
                    <img src="assets/images/blog/DC-2/DC-2.png" alt="image">
                    <p>En effet une fois connecter aussi web vous aller trouvez le premier flag ! </p>
                    <img src="assets/images/blog/DC-2/4.png" alt="image">
                    <br></br>
                    <p>Apre avoirs lue le FLAG1 :</p>
                    <p>On remarque que le site est un site Wordpress, On peut essayé WPSCAN qui et fait pour chercher les vulnérabilité dans un site Wordpress.</p>
                    <p> On vas executé la commande : wpscan --url http://dc-2/ --enumerate p --enumerate --enumerate u</p>
                    <img src="assets/images/blog/DC-2/3.png" alt="image">
                    <p>Pour la suite nous allons devoir utilisé cewl pour créer une liste de mots de passe interne a DC-2.</p>
                    <img src="assets/images/blog/DC-2/5.png" alt="image">
                    <p>On peut lire le fichier pour voir ce qu'il contient.</p>
                    <img src="assets/images/blog/DC-2/6.png" alt="image">
                    <br></br>
                    <p>Nous avons donc un dictionnaire pour les mots de passe que nous avons généré à l'aide de cewl,Nous allons devoirs edité un fichier avec le noms des utilisateurs trouvé grace au scanne.</p>
                    <img src="assets/images/blog/DC-2/23.png" alt="image">
                    <p>Maintenant, On peut lancé une attaque avec wpscan pour essayé de trouvé les différents mots de passe, </p>
                    <p>Commande : wpscan --url http://dc-2/ -U users -P dc2.txt </p>
                    <img src="assets/images/blog/DC-2/10.png" alt="image">
                    <p> On peut voir que pour les deux utilisateur, une attaque par dictionnaire et possible et qu'il est cours </p>
                    <img src="assets/images/blog/DC-2/8.png" alt="image">

                    <p>une fois reussi, nous pouvons voir que le resultat de notre attaque.</p>
                    <img src="assets/images/blog/DC-2/11.png" alt="image">
                    <p>nous nous connectons à WordPress en utilisant les informations d'identification de Jerry. Il détient un autre indice pour nous dans le drapeau 2.</p>

                    <img src="assets/images/blog/DC-2/12.png" alt="image">
                    <p>Puisque l'indice nous disait de trouver un autre point d'entrée pour atteindre notre drapeau final.</p>
                    <img src="assets/images/blog/DC-2/13.png" alt="image">
                    <p>Il y aura plusieurs chose a faire , apres plusieurs tentative je vous mes une photo avec l'etape a realisé</p>
                    <p>pour la premiere nous allons devoirs nous connecter avec l'utilisateur de Tom</p>
                    <p>Essayons d'afficher le répertoire ou nous somme pour definir une aborence.</p>
                    <p>Nous voyons un ficher flag3.txt et un dossier usr.</p>
                    <p> essa de lire le fichier flag3.txt ; sans succès.</p>
                    <p>Nous allons donc definir une variable pour essayé de le lire . sans succès.</p>
                    <p>Comme vous pouvez le constater, le programme cat n'est pas présent dans / bin et tom ne peut exécuter que cinq programmes présents dans le répertoire / bin.</p>
                    <p> Par conséquent, nous utilisons l'éditeur Vi pour échapper au shell restreint.</p>
                    <img src="assets/images/blog/DC-2/14.png" alt="image">
                    <p>validé le Shell,Puis</p>
                    <img src="assets/images/blog/DC-2/15.png" alt="image">
                    <p> voila le tour et joué</p>
                    <img src="assets/images/blog/DC-2/16.png" alt="image">
                    <p>Après avoir échappé au shell restreint, nous exportons «/ bin / bash» comme variable d'environnement SHELL et «/ usr / bin» comme variable d'environnement PATH afin de pouvoir exécuter correctement les commandes Linux.</p>
                    <img src="assets/images/blog/DC-2/17.png" alt="image">
                    <p> nous pouvons lire maintenant le fichier flag3.txt</p>
                    <p>Selon l'indice, nous devons maintenant basculer l'utilisateur de tom à jerry, mais nous n'avons pas les informations de connexion de jerry. Ensuite, j'ai vérifié la liste des sudoers et constaté que tom peut exécuter «/ usr / bin /
                        git» en tant que root sans mot de passe.</p>
                    <img src="assets/images/blog/DC-2/18.png" alt="image">
                    <p>Avoir la permission root sur git..,grâce à cela, nous pouvons essayer de faire passer le shell à bas privilège au shell à haut privilège.</p>
                    <img src="assets/images/blog/DC-2/19.png" alt="image">
                    <p>Depuis la console d'aide de git s'ouvre avec un éditeur où l'on peut exécuter la commande ci-dessous. Et pour générer le shell racine, tapez! / Bin / bash et appuyez sur Entrée.</p>
                    <img src="assets/images/blog/DC-2/20.png" alt="image">
                    <p>nous pouvons enfin consulté notre flag finale.</p>
                    <img src="assets/images/blog/DC-2/21.png" alt="image">
                    <p>Auteur: Ashray Gupta est chercheur en sécurité et rédacteur technique chez Hacking Articles. Contribuant ses 2 ans dans le domaine de la sécurité en tant que testeur de pénétration et analyste informatique judiciaire.</p>
                    <a href="https://www.linkedin.com/in/ashray-gupta-b77221b6/">Contact ici</a>


                    <nav class="blog-nav nav nav-justified my-5">
                        <a class="nav-link-prev nav-item nav-link rounded-left" href="index.html">Previous<i class="arrow-prev fas fa-long-arrow-alt-left"></i></a>
                        <a class="nav-link-next nav-item nav-link rounded-right" href="blog-list.html">Next<i class="arrow-next fas fa-long-arrow-alt-right"></i></a>
                    </nav>

                    <div class="blog-comments-section">
                        <div id="disqus_thread"></div>
                        <script>
                            /**
                             *  RECOMMENDED CONFIGURATION VARIABLES: EDIT AND UNCOMMENT 
                             *  THE SECTION BELOW TO INSERT DYNAMIC VALUES FROM YOUR 
                             *  PLATFORM OR CMS.
                             *  
                             *  LEARN WHY DEFINING THESE VARIABLES IS IMPORTANT: 
                             *  https://disqus.com/admin/universalcode/#configuration-variables
                             */
                            /*
                            var disqus_config = function () {
                                // Replace PAGE_URL with your page's canonical URL variable
                                this.page.url = PAGE_URL;  
                                
                                // Replace PAGE_IDENTIFIER with your page's unique identifier variable
                                this.page.identifier = PAGE_IDENTIFIER; 
                            };
                            */

                            (function() { // REQUIRED CONFIGURATION VARIABLE: EDIT THE SHORTNAME BELOW
                                var d = document,
                                    s = d.createElement('script');

                                // IMPORTANT: Replace 3wmthemes with your forum shortname!
                                s.src = 'https://3wmthemes.disqus.com/embed.js';

                                s.setAttribute('data-timestamp', +new Date());
                                (d.head || d.body).appendChild(s);
                            })();
                        </script>
                        <noscript>
					    Please enable JavaScript to view the 
					    <a href="https://disqus.com/?ref_noscript" rel="nofollow">
					        comments powered by Disqus.
					    </a>
					</noscript>
                    </div>
                    <!--//blog-comments-section-->

                </div>
                <!--//container-->
        </article>

        <section class="promo-section theme-bg-light py-5 text-center">
            <div class="container">
                <h2 class="title">Promo Section Heading</h2>
                <p>You can use this section to promote your side projects etc. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. </p>
                <figure class="promo-figure">
                    <a href="https://made4dev.com" target="_blank"><img class="img-fluid" src="assets/images/promo-banner.jpg" alt="image"></a>
                </figure>
            </div>
            <!--//container-->
        </section>
        <!--//promo-section-->

        <footer class="footer text-center py-2 theme-bg-dark">

            <!--/* This template is released under the Creative Commons Attribution 3.0 License. Please keep the attribution link below when using for your own project. Thank you for your support. :) If you'd like to use the template without the attribution, you can buy the commercial license via our website: themes.3rdwavemedia.com */-->
            <small class="copyright">Designed with <i class="fas fa-heart" style="color: #fb866a;"></i> by <a href="http://themes.3rdwavemedia.com" target="_blank">Xiaoying Riley</a> for developers</small>

        </footer>

        </div>
        <!--//main-wrapper-->


        <!-- *****CONFIGURE STYLE (REMOVE ON YOUR PRODUCTION SITE)****** -->
        <div id="config-panel" class="config-panel d-none d-lg-block">
            <div class="panel-inner">
                <a id="config-trigger" class="config-trigger config-panel-hide text-center" href="#"><i class="fas fa-cog fa-spin mx-auto" data-fa-transform="down-6" ></i></a>
                <h5 class="panel-title">Choose Colour</h5>
                <ul id="color-options" class="list-inline mb-0">
                    <li class="theme-1 active list-inline-item">
                        <a data-style="assets/css/theme-1.css" href="#"></a>
                    </li>
                    <li class="theme-2  list-inline-item">
                        <a data-style="assets/css/theme-2.css" href="#"></a>
                    </li>
                    <li class="theme-3  list-inline-item">
                        <a data-style="assets/css/theme-3.css" href="#"></a>
                    </li>
                    <li class="theme-4  list-inline-item">
                        <a data-style="assets/css/theme-4.css" href="#"></a>
                    </li>
                    <li class="theme-5  list-inline-item">
                        <a data-style="assets/css/theme-5.css" href="#"></a>
                    </li>
                    <li class="theme-6  list-inline-item">
                        <a data-style="assets/css/theme-6.css" href="#"></a>
                    </li>
                    <li class="theme-7  list-inline-item">
                        <a data-style="assets/css/theme-7.css" href="#"></a>
                    </li>
                    <li class="theme-8  list-inline-item">
                        <a data-style="assets/css/theme-8.css" href="#"></a>
                    </li>
                </ul>
                <a id="config-close" class="close" href="#"><i class="fa fa-times-circle"></i></a>
            </div>
            <!--//panel-inner-->
        </div>
        <!--//configure-panel-->



        <!-- Javascript -->
        <script src="assets/plugins/jquery-3.3.1.min.js"></script>
        <script src="assets/plugins/popper.min.js"></script>
        <script src="assets/plugins/bootstrap/js/bootstrap.min.js"></script>

        <!-- Page Specific JS -->
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.14.2/highlight.min.js"></script>

        <!-- Custom JS -->
        <script src="assets/js/blog.js"></script>

        <!-- Style Switcher (REMOVE ON YOUR PRODUCTION SITE) -->
        <script src="assets/js/demo/style-switcher.js"></script>


</body>

</html>